Package be.vlaanderen.mercurius.mohm.common.v7

# Class ConsultSupportAndRepairViewType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ConsultSupportAndRepairViewType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultSupportAndRepairViewType extends Object implements Serializable
Beperkt beeld van de aanvraag waarvoor een actief budget onderhoud en herstel werd gevonden.

Java class for ConsultSupportAndRepairViewType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupportAndRepairViewType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
             <element name="Application" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewSupportAndRepairType"/>
             <element name="HistoryStatus" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}StatusListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultSupportAndRepairViewType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApplicationViewSupportAndRepairType`
  `getApplication()`
  Beperkt beeld van de aanvraag.
  `StatusListType`
  `getHistoryStatus()`
  Historiek van de statussen van de aanvraag.
  `String`
  `getVSBReference()`
  De VSB-referentie van de aanvraag.
  `void`
  `setApplication(ApplicationViewSupportAndRepairType value)`
  Sets the value of the application property.
  `void`
  `setHistoryStatus(StatusListType value)`
  Sets the value of the historyStatus property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultSupportAndRepairViewType

    public ConsultSupportAndRepairViewType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    De VSB-referentie van de aanvraag.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getApplication

    public ApplicationViewSupportAndRepairType getApplication()
    Beperkt beeld van de aanvraag.
    Returns:
      possible object is `ApplicationViewSupportAndRepairType`

  - ### setApplication

    public void setApplication(ApplicationViewSupportAndRepairType value)
    Sets the value of the application property.
    Parameters:
      `value` - allowed object is `ApplicationViewSupportAndRepairType`
    See Also:
      - `getApplication()`

  - ### getHistoryStatus

    public StatusListType getHistoryStatus()
    Historiek van de statussen van de aanvraag.
    Returns:
      possible object is `StatusListType`

  - ### setHistoryStatus

    public void setHistoryStatus(StatusListType value)
    Sets the value of the historyStatus property.
    Parameters:
      `value` - allowed object is `StatusListType`
    See Also:
      - `getHistoryStatus()`